Skip to content
Docs

Delete a Team

DELhttps://api.vercel.com/v1/teams/{teamId}
Delete a team under your account. You need to send a DELETE request with the desired team id. An optional array of reasons for deletion may also be sent. Enterprise teams can only be deleted in test billing mode and when not linked to an organization.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await vercel.teams.deleteTeam({
newDefaultTeamId: "team_LLHUOMOoDlqOp8wPE4kFo9pE",
teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
slug: "my-team-url-slug",
requestBody: {},
});
console.log(result);
}
run();
Response
{
"id": "team_LLHUOMOoDlqOp8wPE4kFo9pE",
"newDefaultTeamIdError": "true"
}
AuthorizationbearerToken

Default authentication mechanism

teamIdstringRequired
The Team identifier to perform the request on behalf of.
newDefaultTeamIdstringOptional
Id of the team to be set as the new default team
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
reasonsarrayOptional
Optional array of objects that describe the reason why the team is being deleted.
200The Team was successfully deleted
idstringRequired
The ID of the deleted Team
newDefaultTeamIdErrorbooleanOptional
Signifies whether the default team update has failed, when newDefaultTeamId is provided in request query.
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
402Error
403You do not have permission to access this resource. The authenticated user can't access the team
404Error
409Error
410Error
503Error